com.ihr.xbrl.dts

## Class EditorSourceImpl

- java.lang.Object
- - com.ihr.xbrl.dts.EditorSourceImpl

- All Implemented Interfaces:
    EditorSource

      public class EditorSourceImpl
      extends java.lang.Object
      implements EditorSource

  This is a convenient implementation of the EditorSource interface that is suitable to fit well in creating and using user interfaces.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorSourceImpl()` Instantiates a new editor source impl.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConcept(javax.xml.namespace.QName concept)` Adds a new value to the concept aspect.
    `void` | `addEntity(XBRLEntity entity)` Adds a new value to the entity aspect.
    `void` | `addExplicitDimensionMemberValue(javax.xml.namespace.QName dimension, javax.xml.namespace.QName member)` Adds a new member to the dimension aspect.
    `void` | `addPeriod(XBRLPeriod period)` Adds a new value to the period aspect.
    `void` | `addTypedDimensionMemberValue(javax.xml.namespace.QName dimension, XMLFragment member)` Adds a new member to the dimension aspect.
    `void` | `addUnit(XBRLUnit unit)` Adds a new value to the unit aspect.
    `void` | `clear()` clear all information stored for all aspects.
    `void` | `processAspect(int aspect, javax.xml.namespace.QName dimensionName, java.util.Set<?> set)` An EditorSource must implement this method.
    `void` | `setDTSContainer(DTSContainer dts)` Convenient method to reset the EditorSource content.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorSourceImpl

          public EditorSourceImpl()

      Instantiates a new editor source impl.

  - ### Method Detail

    - #### addConcept

          public void addConcept(javax.xml.namespace.QName concept)

      Adds a new value to the concept aspect.
      Parameters:
        `concept` - the concept

    - #### addPeriod

          public void addPeriod(XBRLPeriod period)

      Adds a new value to the period aspect.
      Parameters:
        `period` - the period

    - #### addEntity

          public void addEntity(XBRLEntity entity)

      Adds a new value to the entity aspect.
      Parameters:
        `entity` - the entity

    - #### addUnit

          public void addUnit(XBRLUnit unit)

      Adds a new value to the unit aspect.
      Parameters:
        `unit` - the unit

    - #### addExplicitDimensionMemberValue

          public void addExplicitDimensionMemberValue(javax.xml.namespace.QName dimension,
                                             javax.xml.namespace.QName member)

      Adds a new member to the dimension aspect.
      Parameters:
        `dimension` - the dimension
        `member` - the member

    - #### addTypedDimensionMemberValue

          public void addTypedDimensionMemberValue(javax.xml.namespace.QName dimension,
                                          XMLFragment member)

      Adds a new member to the dimension aspect.
      Parameters:
        `dimension` - the dimension
        `member` - the member

    - #### processAspect

          public void processAspect(int aspect,
                           javax.xml.namespace.QName dimensionName,
                           java.util.Set<?> set)

      Description copied from interface: `EditorSource`
      An EditorSource must implement this method. The method will be called during the expansion process with the following parameters:
      Specified by:
        `processAspect` in interface `EditorSource`
      Parameters:
        `aspect` - this is the aspect code as defined in CommonAspectRule
        `dimensionName` - when the aspect is com.ihr.xbrl.om.table.definition.CommonAspectRule.DIMENSION this parameter provides the dimension name
        `set` - this is the set that contains values from the instance. The EditorSource might add new values to this set

    - #### setDTSContainer

          public void setDTSContainer(DTSContainer dts)

      Description copied from interface: `EditorSource`
      Convenient method to reset the EditorSource content. Implementations can clear all stored values when dts parameter is null
      Specified by:
        `setDTSContainer` in interface `EditorSource`
      Parameters:
        `dts` - the dts to store information for

    - #### clear

          public void clear()

      clear all information stored for all aspects.